Package org.apache.sling.testing.junit.rules

## Class FilterRule

- java.lang.Object
- - org.apache.sling.testing.junit.rules.FilterRule

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class FilterRule
    extends Object
    implements org.junit.rules.TestRule

### Field Summary

Fields
`static String` `CATEGORY_PROPERTY`
`static String` `INCLUDE_CATEGORY_PROPERTY`

### Constructor Summary

Constructors
`FilterRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterRule` `addDefaultIgnoreCategories​(Class... ignoredCategories)`
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CATEGORY_PROPERTY

    public static final String CATEGORY_PROPERTY

See Also:
  Constant Field Values

#### INCLUDE_CATEGORY_PROPERTY

    public static final String INCLUDE_CATEGORY_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### FilterRule

    public FilterRule()

### Method Detail

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)

Specified by:
  `apply` in interface `org.junit.rules.TestRule`

#### addDefaultIgnoreCategories

    public FilterRule addDefaultIgnoreCategories​(Class... ignoredCategories)